<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FF3F84CD"

    android:orientation="vertical">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/tb_title"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:theme="@style/ThemeOverlay.AppCompat.Light"
        app:contentInsetEnd="0mm"
        app:contentInsetEndWithActions="0mm"
        app:contentInsetLeft="0mm"
        app:contentInsetRight="0mm"
        app:contentInsetStart="0mm"
        app:contentInsetStartWithNavigation="0mm">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:paddingVertical="5mm">

            <TextView
                android:id="@+id/tv_report"
                android:layout_width="120mm"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_report_choose"
                android:gravity="center"
                android:paddingVertical="3mm"
                android:text="废品重量报表"
                android:textColor="#ffffffff"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tv_bad"
                android:layout_width="120mm"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_report"
                android:gravity="center"
                android:paddingVertical="3mm"
                android:text="订单不良率"
                android:textColor="#FF4A92DE"
                android:textSize="16sp" />
        </LinearLayout>

    </androidx.appcompat.widget.Toolbar>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_report"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/ll_time"
                    android:layout_width="100mm"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="25mm"
                    android:background="@drawable/shape_mes_time"
                    android:gravity="center"
                    android:paddingVertical="4mm">

                    <TextView
                        android:id="@+id/tv_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="4mm"
                        android:text="请选择时间"
                        android:textColor="#ff637298"
                        android:textSize="13sp" />

                    <ImageView
                        android:layout_width="20mm"
                        android:layout_height="14mm"
                        android:src="@mipmap/mes_time_down" />
                </LinearLayout>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15mm"
                    android:layout_marginTop="20mm"
                    app:cardCornerRadius="3dp"
                    app:cardElevation="5dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        android:padding="17mm">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="废品重量TOP10"
                            android:textColor="#ff3f84cd"
                            android:textSize="15sp" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_top"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="20mm" />
                    </LinearLayout>
                </androidx.cardview.widget.CardView>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="30mm"
                    android:layout_marginTop="20mm">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="排名"
                        android:textColor="@color/white"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="4"
                        android:text="产品名称"
                        android:textColor="@color/white"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2"
                        android:text="废品重量（kg）"
                        android:textColor="@color/white"
                        android:textSize="14sp" />
                </LinearLayout>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15mm"
                    android:layout_marginTop="10mm"
                    app:cardCornerRadius="3dp"
                    app:cardElevation="5dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        android:padding="17mm">

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_pro_bad"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </LinearLayout>
                </androidx.cardview.widget.CardView>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_bad"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:gravity="center">
                    <TextView
                        android:id="@+id/tv_dept"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:drawableRight="@mipmap/arrow_down"
                        android:gravity="center_vertical"
                        android:layout_marginHorizontal="15mm"
                        android:paddingVertical="13mm"
                        android:text="选择工厂"
                        android:textSize="13sp" />

                    <TextView
                        android:id="@+id/tv_start"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:drawableRight="@mipmap/arrow_down"
                        android:gravity="center_vertical"
                        android:paddingVertical="13mm"
                        android:text="开始时间"
                        android:textSize="13sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="20mm"
                        android:gravity="center_vertical"
                        android:text="~" />

                    <TextView
                        android:id="@+id/tv_end"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:drawableRight="@mipmap/arrow_down"
                        android:gravity="center_vertical"
                        android:paddingVertical="13mm"
                        android:text="结束时间"
                        android:textSize="13sp" />
                </LinearLayout>



                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15mm"
                    android:layout_marginTop="20mm">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="订单单号"
                        android:textColor="@color/white"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="产品编号"
                        android:textColor="@color/white"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="不良率"
                        android:textColor="@color/white"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="4mm"
                        android:layout_height="10mm"
                        android:layout_marginLeft="5mm"
                        android:src="@mipmap/arrow_right"
                        android:visibility="invisible" />
                </LinearLayout>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15mm"
                    android:layout_marginTop="10mm"
                    app:cardCornerRadius="3dp"
                    app:cardElevation="5dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        android:padding="17mm">

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_bad"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </LinearLayout>
                </androidx.cardview.widget.CardView>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

</LinearLayout>